#!/bin/bash

recommande=false
if [ "$1" == "-r" ] ;then
    shift
    recommande=true
    fi

outfilename=(${1:-all})
shift;

cd ../var

count=$(<countFormLPP)
count=$((countFormLPP+1))
echo >countFormLPP $count

if [ $# -gt 0 ];then
    dests=$(printf "to-%s.tex " $@)
  else
    dests=to-*.tex
  fi

for dest in $dests;do
    if $recommande ; then
      sed -e 's/aire{/aire{\\texttt{RECOMMAND\\'\''E}\\vspace{1mm}\\\\/' < $dest > to.tex
    else
      rm to.tex
      cat $dest >to.tex
    fi
    pslatex lettre-db.tex &&
	mv lettre-db.dvi ${dest%tex}dvi
    done >$outfilename.log
rm lettre-db.{log,aux}
../../bin/dviconcat -o $outfilename.dvi to-*.dvi
dvipdf $outfilename.dvi
rm $outfilename.dvi to-*.dvi
